Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_IBP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_IBP_3view.cfg	(revision 738)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_IBP_3view.cfg	(revision 872)
@@ -9,17 +9,18 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 3            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIdcs in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIdcs in vps of layer set
-LayerIdsInSet_2               : 0 1 2        # LayerIdcs in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2        # Indices in VPS of layers in layer set 2
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0    # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg	(revision 738)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_IPB_on_IRAP_3view.cfg	(revision 872)
@@ -3,18 +3,19 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg	(revision 738)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_NoIv_3view.cfg	(revision 872)
@@ -1,18 +1,20 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 1            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_2               : 2            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_3               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_4               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_5               : 1 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_6               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
-ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             :              # Indices of layer sets used to derive additional output layer sets
+
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             :             # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             :             # Indices in VPS of direct reference layers 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg	(revision 738)
+++ trunk/cfg/MV-HEVC/NonCTC/gopCfg_PIP_on_IRAP_3view.cfg	(revision 872)
@@ -3,18 +3,19 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
 ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg
===================================================================
--- trunk/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 738)
+++ trunk/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 872)
@@ -9,17 +9,17 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 3            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIdcs in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIdcs in vps of layer set
-LayerIdsInSet_2               : 0 1 2        # LayerIdcs in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
 ProfileLevelTierIdx           : 0 0 0 0 0    # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
